Bug 481729 - lftp sends NLST command several times in certain cases
lftp sends NLST command several times in certain cases
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lftp (Show other bugs)
4.8
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jiri Skala
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 07:28 EST by Jan Ščotka
Modified: 2014-11-09 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:15:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Ščotka 2009-01-27 07:28:34 EST
Description of problem:
Problem appeared when working on errata connect with bz 358181, in new version, old bug is repaired, but, on slow lines with longer latency appear moretimes repeated sending of NLST commnad (fear of infinity cycle when wrong enviroment)

Version-Release number of selected component (if applicable):
lftp-3.0.6-6.el4
ProFTPD 1.3.0a (stable)

How reproducible:
sometimes, when more nlist are sended quickly on lines with longer latency slower lines.

Steps to Reproduce:
1. Run somewhere proftpd server, version is important
2. lftp -d -u ftptest,zxcvbnm  machine
3. repeat quickly sending nlist command
  
Actual results:
sometimes:
:~> nlist
---> PASV
<--- 227 Entering Passive Mode (10,34,33,123,142,154).
---- Connecting data socket to (10.34.33.123) port 36506
---> NLST
<--- 226 Transfer complete.          
---> PASV
<--- 227 Entering Passive Mode (10,34,33,123,195,199).
---- Connecting data socket to (10.34.33.123) port 50119
---> NLST
<--- 226 Transfer complete.          
---> PASV
<--- 227 Entering Passive Mode (10,34,33,123,155,9).
---- Connecting data socket to (10.34.33.123) port 39689
---> NLST
<--- 226 Transfer complete.          

or moretime or lesstime

Expected results:
only onetimes:

---> PASV
<--- 227 Entering Passive Mode (10,34,33,123,130,223).
---- Connecting data socket to (10.34.33.123) port 33503
---> NLST
<--- 226 Transfer complete.          

nothing other.


Additional info:
Maybe bug in synchronization control and data stream. reproducible on slower lines with long latency.
Comment 8 errata-xmlrpc 2009-05-18 16:15:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0976.html

Note You need to log in before you can comment on or make changes to this bug.